## meshlab 2020.02+git200217

=== src/external/GotoBLAS2/Makefile ===
TOPDIR	= .
include ./Makefile.system

BLASDIRS = interface driver/level2 driver/level3 driver/others

ifndef DYNAMIC_ARCH
BLASDIRS += kernel 
endif

ifdef SANITY_CHECK
BLASDIRS += reference
endif

SUBDIRS	= $(BLASDIRS) lapack

SUBDIRS_ALL = $(SUBDIRS) test ctest exports benchmark ../laswp ../bench

.PHONY : all libs netlib test ctest shared
.NOTPARALLEL : all libs prof lapack-test

all :: libs netlib tests shared
	@echo
	@echo " GotoBLAS build complete."
	@echo
	@echo "  OS               ... $(OSNAME)             "
	@echo "  Architecture     ... $(ARCH)               "
ifndef BINARY64
	@echo "  BINARY           ... 32bit                 "
else
	@echo "  BINARY           ... 64bit                 "
endif
	@echo "  C compiler       ... $(C_COMPILER)  (command line : $(CC))"
	@echo "  Fortran compiler ... $(F_COMPILER)  (command line : $(FC))"
ifneq ($(OSNAME), AIX)
	@echo -n "  Library Name     ... $(LIBNAME)"
else
	@echo "  Library Name     ... $(LIBNAME)"
endif

ifndef SMP
	@echo " (Single threaded)  "
else
	@echo " (Multi threaded; Max num-threads is $(NUM_THREADS))"
endif
	@echo

shared :
ifeq ($(OSNAME), Linux)
	$(MAKE) -C exports so
	-ln -fs $(LIBSONAME) libgoto2.so
endif
ifeq ($(OSNAME), FreeBSD)
	$(MAKE) -C exports so
	-ln -fs $(LIBSONAME) libgoto2.so
endif
ifeq ($(OSNAME), NetBSD)
	$(MAKE) -C exports so
	-ln -fs $(LIBSONAME) libgoto2.so
endif
ifeq ($(OSNAME), Darwin)
	$(MAKE) -C exports dyn
	-ln -fs $(LIBDYNNAME) libgoto2.dylib
endif
ifeq ($(OSNAME), WINNT)
	$(MAKE) -C exports dll
#	-ln -fs $(LIBDLLNAME) libgoto2.dll
endif
ifeq ($(OSNAME), CYGWIN_NT)
	$(MAKE) -C exports dll
	-ln -fs $(LIBDLLNAME) libgoto2.dll
endif

tests :
ifndef NOFORTRAN
ifndef TARGET
ifndef CROSS
	touch $(LIBNAME)
ifndef NO_FBLAS
	$(MAKE) -C test all
endif
ifndef NO_CBLAS
	$(MAKE) -C ctest all
endif
endif
endif
endif

libs :
	-ln -fs $(LIBNAME) libgoto2.$(LIBSUFFIX)
	for d in $(SUBDIRS) ; \
	do if test -d $$d; then \
	  $(MAKE) -C $$d $(@F) || exit 1 ; \
	fi; \
	done
ifdef DYNAMIC_ARCH
	  $(MAKE) -C kernel commonlibs || exit 1
	for d in $(DYNAMIC_CORE) ; \
	do  $(MAKE) GOTOBLAS_MAKEFILE= -C kernel TARGET_CORE=$$d kernel || exit 1 ;\
	done
endif

prof : prof_blas prof_lapack

prof_blas :
	ln -fs $(LIBNAME_P) libgoto2_p.$(LIBSUFFIX)
	for d in $(SUBDIRS) ; \
	do if test -d $$d; then \
	  $(MAKE) -C $$d prof || exit 1 ; \
	fi; \
	done
ifdef DYNAMIC_ARCH
	  $(MAKE) -C kernel commonprof || exit 1
endif

blas :
	ln -fs $(LIBNAME) libgoto2.$(LIBSUFFIX)
	for d in $(BLASDIRS) ; \
	do if test -d $$d; then \
	  $(MAKE) -C $$d libs || exit 1 ; \
	fi; \
	done

hpl : 
	ln -fs $(LIBNAME) libgoto2.$(LIBSUFFIX)
	for d in $(BLASDIRS) ../laswp exports ; \
	do if test -d $$d; then \
	  $(MAKE) -C $$d $(@F) || exit 1 ; \
	fi; \
	done
ifdef DYNAMIC_ARCH
	  $(MAKE) -C kernel commonlibs || exit 1
	for d in $(DYNAMIC_CORE) ; \
	do  $(MAKE) GOTOBLAS_MAKEFILE= -C kernel TARGET_CORE=$$d kernel || exit 1 ;\
	done
endif

hpl_p :
	ln -fs $(LIBNAME_P) libgoto2_p.$(LIBSUFFIX)
	for d in $(SUBDIRS) ../laswp exports ; \
	do if test -d $$d; then \
	  $(MAKE) -C $$d $(@F) || exit 1 ; \
	fi; \
	done

netlib : lapack-3.1.1 patch.for_lapack-3.1.1 lapack-3.1.1/make.inc
ifndef NOFORTRAN
	-@$(MAKE) -C lapack-3.1.1 lapacklib
endif

prof_lapack : lapack-3.1.1 lapack-3.1.1/make.inc
	-@$(MAKE) -C lapack-3.1.1 lapack_prof

lapack-3.1.1/make.inc :
ifndef NOFORTRAN
	-@echo "FORTRAN   = $(FC)" > lapack-3.1.1/make.inc
	-@echo "OPTS      = $(FFLAGS)" >> lapack-3.1.1/make.inc
	-@echo "POPTS     = $(FPFLAGS)" >> lapack-3.1.1/make.inc
	-@echo "NOOPT     = $(FFLAGS) -O0" >> lapack-3.1.1/make.inc
	-@echo "PNOOPT     = $(FPFLAGS) -O0" >> lapack-3.1.1/make.inc
	-@echo "LOADOPTS  = $(FFLAGS) $(EXTRALIB)" >> lapack-3.1.1/make.inc
	-@echo "ARCH      = $(AR)" >> lapack-3.1.1/make.inc
	-@echo "RANLIB    = $(RANLIB)" >> lapack-3.1.1/make.inc
	-@echo "LAPACKLIB = ../$(LIBNAME)" >> lapack-3.1.1/make.inc
	-@echo "LAPACKLIB_P = ../$(LIBNAME_P)" >> lapack-3.1.1/make.inc
	-@echo "SUFFIX     = $(SUFFIX)" >> lapack-3.1.1/make.inc
	-@echo "PSUFFIX    = $(PSUFFIX)" >> lapack-3.1.1/make.inc
#	-@echo "CEXTRALIB  = $(CEXTRALIB)" >> lapack-3.1.1/make.inc
	-@cat  make.inc >> lapack-3.1.1/make.inc
endif

lapack-3.1.1 : lapack-3.1.1.tgz
ifndef NOFORTRAN
	@if test `$(MD5SUM) lapack-3.1.1.tgz | $(AWK) '{print $$1}'` = 00b21551a899bcfbaa7b8443e1faeef9; then \
		echo $(TAR) zxf $< ;\
		$(TAR) zxf $< && (cd lapack-3.1.1; $(PATCH) -p1 < ../patch.for_lapack-3.1.1) ;\
	else \
		echo "	lapack-3.1.1.tgz check sum is wrong (Please use orignal)." ;\
		rm -rf lapack-3.1.1 ;\
	fi
endif

lapack-3.1.1.tgz :
ifndef NOFORTRAN
	-wget http://www.netlib.org/lapack/lapack-3.1.1.tgz
endif

large.tgz : 
ifndef NOFORTRAN
	-wget http://www.netlib.org/lapack/timing/large.tgz
endif

timing.tgz :
ifndef NOFORTRAN
	-wget http://www.netlib.org/lapack/timing/timing.tgz
endif

lapack-timing : lapack-3.1.1 large.tgz timing.tgz
ifndef NOFORTRAN
	(cd lapack-3.1.1; $(TAR) zxf ../timing.tgz TIMING)
	(cd lapack-3.1.1/TIMING; $(TAR) zxf ../../large.tgz )
	make -C lapack-3.1.1 tmglib
	make -C lapack-3.1.1/TIMING
endif


lapack-test :
	$(MAKE) -C lapack-3.1.1 tmglib
	$(MAKE) -C lapack-3.1.1/TESTING xeigtstc xeigtstd xeigtsts xeigtstz xlintstc xlintstd xlintstds xlintsts xlintstz xlintstzc
	@rm	-f lapack-3.1.1/TESTING/*.out
	$(MAKE) -j 1 -C lapack-3.1.1/TESTING
	$(GREP) failed lapack-3.1.1/TESTING/*.out

dummy :

clean ::
	@for d in $(SUBDIRS_ALL) ; \
	do if test -d $$d; then \
	  $(MAKE) -C $$d $(@F) || exit 1 ; \
	fi; \
	done
ifdef DYNAMIC_ARCH
	@$(MAKE) -C kernel clean
endif
	@rm -f *.$(LIBSUFFIX) *.so *~ *.exe getarch getarch_2nd *.dll *.lib *.$(SUFFIX) *.dwf libgoto2.$(LIBSUFFIX) libgoto2_p.$(LIBSUFFIX) *.lnk myconfig.h
	@rm -f Makefile.conf config.h Makefile_kernel.conf config_kernel.h st* *.dylib
	@if test -d lapack-3.1.1; then \
	echo deleting lapack-3.1.1; \
	rm -rf lapack-3.1.1 ;\
	fi
	@echo Done.

=== src/plugins_experimental/edit_CADtexturing/CMakeLists.txt ===
# Copyright 2019 Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

### Generated file! Edit the templates in src/templates then re-run ./make-cmake.py

set(SOURCES
    CADtexturingControl.cpp CADtexturingedit.cpp edit_CADtexturing_factory.cpp
    hidden/image_edge_detection.cpp image_edge_detection.cpp)

set(HEADERS
    CADtexturingControl.h CADtexturingedit.h edit_CADtexturing_factory.h
    hidden/image_edge_detection.h image_edge_detection.h resource.h)

set(RESOURCES CADtexturingedit.qrc)

set(UI CADtexturingControl.ui)

add_library(edit_CADtexturing MODULE ${SOURCES} ${HEADERS} ${RESOURCES} ${UI})

target_include_directories(edit_CADtexturing
                           PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(edit_CADtexturing PUBLIC common)

set_property(TARGET edit_CADtexturing PROPERTY FOLDER Plugins)

set_property(TARGET edit_CADtexturing PROPERTY RUNTIME_OUTPUT_DIRECTORY
                                               ${MESHLAB_PLUGIN_OUTPUT_DIR})

set_property(TARGET edit_CADtexturing PROPERTY LIBRARY_OUTPUT_DIRECTORY
                                               ${MESHLAB_PLUGIN_OUTPUT_DIR})

install(TARGETS edit_CADtexturing DESTINATION ${MESHLAB_PLUGIN_INSTALL_DIR}
                COMPONENT Plugins)

=== src/plugins_experimental/edit_kinect/CMakeLists.txt ===
# Copyright 2019 Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

### Generated file! Edit the templates in src/templates then re-run ./make-cmake.py

set(SOURCES calibration_load.cpp edit_kinect.cpp edit_kinect_factory.cpp
            freenect.cpp glarea.cpp)

set(HEADERS calibration_data.h edit_kinect.h edit_kinect_factory.h freenect.h
            glarea.h shader_basic.h)

set(RESOURCES edit_kinect.qrc)

set(UI kinect.ui)

add_library(edit_kinect MODULE ${SOURCES} ${HEADERS} ${RESOURCES} ${UI})

target_include_directories(edit_kinect PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(edit_kinect PUBLIC common)

set_property(TARGET edit_kinect PROPERTY FOLDER Plugins)

set_property(TARGET edit_kinect PROPERTY RUNTIME_OUTPUT_DIRECTORY
                                         ${MESHLAB_PLUGIN_OUTPUT_DIR})

set_property(TARGET edit_kinect PROPERTY LIBRARY_OUTPUT_DIRECTORY
                                         ${MESHLAB_PLUGIN_OUTPUT_DIR})

install(TARGETS edit_kinect DESTINATION ${MESHLAB_PLUGIN_INSTALL_DIR} COMPONENT
                Plugins)

=== src/plugins_experimental/edit_ocme/CMakeLists.txt ===
# Copyright 2019 Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

### Generated file! Edit the templates in src/templates then re-run ./make-cmake.py

set(SOURCES
    edit_ocme.cpp
    edit_ocme_factory.cpp
    src/cache/benchmark/main.cpp
    src/cache/cache_gl.cpp
    src/cache/heaptest.cpp
    src/cache/main.cpp
    src/cache/mapmain.cpp
    src/ocme/berkeleydb/ocme_simpledb.cpp
    src/ocme/borderindex_chunk.cpp
    src/ocme/cell.cpp
    src/ocme/impostor_create.cpp
    src/ocme/impostor_render.cpp
    src/ocme/main.cpp
    src/ocme/ocme.cpp
    src/ocme/ocme_debug.cpp
    src/ocme/ocme_disk_loader.cpp
    src/ocme/ocme_garbage.cpp
    src/ocme/ocme_impostor.cpp
    src/ocme/ocme_render.cpp
    src/ocme/plane_box_quantization.cpp
    src/ocme/simpledb/ocme_kcdb.cpp
    src/ocme/simpledb/ocme_simpledb.cpp
    src/ooc_vector/berkeleydb/ooc_chunks.cpp
    src/ooc_vector/cache_policy.cpp
    src/ooc_vector/io/ooc_chunks.cpp
    src/ooc_vector/io/ooc_chunks_kcdb.cpp
    src/ooc_vector/main.cpp
    src/ooc_vector/ooc_chains.cpp
    src/ooc_vector/ooc_chains_kcdb.cpp
    src/ooc_vector/simpledb.cpp
    src/utils/string_serialize.cpp)

set(HEADERS
    edit_ocme.h
    edit_ocme_factory.h
    src/cache/cache.h
    src/cache/controller.h
    src/cache/door.h
    src/cache/iheap.h
    src/cache/mapcache.h
    src/cache/mapcontroller.h
    src/cache/mapmy_widget.h
    src/cache/my_widget.h
    src/cache/old/double_heap.h
    src/cache/old/itreeheap.h
    src/cache/old/mmheap.h
    src/cache/old/mmheap_orig.h
    src/cache/old/mmtreeheap.h
    src/ocme/FBool.h
    src/ocme/berkeleydb/chain_mem_simpledb.h
    src/ocme/boolvector.h
    src/ocme/borderindex_chunk.h
    src/ocme/cell.h
    src/ocme/cell_attributes.h
    src/ocme/globals.h
    src/ocme/import_ocm_ply.h
    src/ocme/import_ply_to_ocme.h
    src/ocme/impostor.h
    src/ocme/impostor_create.h
    src/ocme/impostor_definition.h
    src/ocme/multiple_std_iterator.h
    src/ocme/ocme.h
    src/ocme/ocme_add.h
    src/ocme/ocme_assert.h
    src/ocme/ocme_commit.h
    src/ocme/ocme_definition.h
    src/ocme/ocme_disk_loader.h
    src/ocme/ocme_extract.h
    src/ocme/ocme_impostor.h
    src/ocme/plane_box_intersection.h
    src/ocme/plane_box_quantization.h
    src/ocme/simpledb/chain_mem_simpledb.h
    src/ocme/stdmatrix.h
    src/ocme/stdmatrix3.h
    src/ocme/type_traits.h
    src/ocme/vcg_mesh.h
    src/ooc_vector/cache_policy.h
    src/ooc_vector/ooc_chains.h
    src/ooc_vector/ooc_vector.h
    src/ooc_vector/simpledb.h
    src/ooc_vector/type_traits.h
    src/utils/logging.h
    src/utils/memory_debug.h
    src/utils/name_access_function_bounds.h
    src/utils/release_assert.h
    src/utils/std_util.h
    src/utils/string_serialize.h
    src/utils/timing.h)

set(RESOURCES edit_ocme.qrc)

set(UI ocme.ui ocme_widget.ui)

add_library(edit_ocme MODULE ${SOURCES} ${HEADERS} ${RESOURCES} ${UI})

target_include_directories(edit_ocme PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(edit_ocme PUBLIC common)

set_property(TARGET edit_ocme PROPERTY FOLDER Plugins)

set_property(TARGET edit_ocme PROPERTY RUNTIME_OUTPUT_DIRECTORY
                                       ${MESHLAB_PLUGIN_OUTPUT_DIR})

set_property(TARGET edit_ocme PROPERTY LIBRARY_OUTPUT_DIRECTORY
                                       ${MESHLAB_PLUGIN_OUTPUT_DIR})

install(TARGETS edit_ocme DESTINATION ${MESHLAB_PLUGIN_INSTALL_DIR} COMPONENT
                Plugins)

=== src/plugins_experimental/edit_panosample/CMakeLists.txt ===
# Copyright 2019 Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

### Generated file! Edit the templates in src/templates then re-run ./make-cmake.py

set(SOURCES edit_panosample.cpp edit_panosample_factory.cpp qualitychecker.cpp)

set(HEADERS cloneview.h colorframe.h edit_panosample.h
            edit_panosample_factory.h qualitychecker.h resource.h)

set(UI QualityChecker.ui paintbox.ui)

add_library(edit_panosample MODULE ${SOURCES} ${HEADERS} ${UI})

target_include_directories(edit_panosample PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(edit_panosample PUBLIC common)

set_property(TARGET edit_panosample PROPERTY FOLDER Plugins)

set_property(TARGET edit_panosample PROPERTY RUNTIME_OUTPUT_DIRECTORY
                                             ${MESHLAB_PLUGIN_OUTPUT_DIR})

set_property(TARGET edit_panosample PROPERTY LIBRARY_OUTPUT_DIRECTORY
                                             ${MESHLAB_PLUGIN_OUTPUT_DIR})

install(TARGETS edit_panosample DESTINATION ${MESHLAB_PLUGIN_INSTALL_DIR}
                COMPONENT Plugins)

=== src/plugins_experimental/edit_scan/CMakeLists.txt ===
# Copyright 2019 Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

### Generated file! Edit the templates in src/templates then re-run ./make-cmake.py

set(SOURCES edit_scan.cpp)

set(HEADERS edit_scan.h widget.h)

set(RESOURCES meshlab.qrc)

set(UI widget.ui)

add_library(edit_scan MODULE ${SOURCES} ${HEADERS} ${RESOURCES} ${UI})

target_include_directories(edit_scan PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(edit_scan PUBLIC common)

set_property(TARGET edit_scan PROPERTY FOLDER Plugins)

set_property(TARGET edit_scan PROPERTY RUNTIME_OUTPUT_DIRECTORY
                                       ${MESHLAB_PLUGIN_OUTPUT_DIR})

set_property(TARGET edit_scan PROPERTY LIBRARY_OUTPUT_DIRECTORY
                                       ${MESHLAB_PLUGIN_OUTPUT_DIR})

install(TARGETS edit_scan DESTINATION ${MESHLAB_PLUGIN_INSTALL_DIR} COMPONENT
                Plugins)

=== src/plugins_experimental/edit_vase/CMakeLists.txt ===
# Copyright 2019 Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

### Generated file! Edit the templates in src/templates then re-run ./make-cmake.py

set(SOURCES
    balloon.cpp
    edit_vase.cpp
    edit_vase_factory.cpp
    fieldinterpolator.cpp
    gridaccell.cpp
    vase_utils.cpp
    vasewidget.cpp
    volume.cpp)

set(HEADERS
    OLD.h
    balloon.h
    edit_vase.h
    edit_vase_factory.h
    fieldinterpolator.h
    gridaccell.h
    myheap.h
    vase_utils.h
    vasewidget.h
    volume.h)

set(RESOURCES meshlab.qrc)

set(UI vasewidget.ui)

add_library(edit_vase MODULE ${SOURCES} ${HEADERS} ${RESOURCES} ${UI})

target_include_directories(edit_vase PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(edit_vase PUBLIC common)

set_property(TARGET edit_vase PROPERTY FOLDER Plugins)

set_property(TARGET edit_vase PROPERTY RUNTIME_OUTPUT_DIRECTORY
                                       ${MESHLAB_PLUGIN_OUTPUT_DIR})

set_property(TARGET edit_vase PROPERTY LIBRARY_OUTPUT_DIRECTORY
                                       ${MESHLAB_PLUGIN_OUTPUT_DIR})

install(TARGETS edit_vase DESTINATION ${MESHLAB_PLUGIN_INSTALL_DIR} COMPONENT
                Plugins)

=== src/plugins_experimental/filter_3dcoform/CMakeLists.txt ===
# Copyright 2019 Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

### Generated file! Edit the templates in src/templates then re-run ./make-cmake.py

set(SOURCES coform_interface.cpp filter_3dcoform.cpp metadatafile_generator.cpp)

set(HEADERS coform_interface.h filter_3dcoform.h metadatafile_generator.h)

set(UI ui/coform_interface.ui)

add_library(filter_3dcoform MODULE ${SOURCES} ${HEADERS} ${UI})

target_include_directories(filter_3dcoform PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(filter_3dcoform PUBLIC common)

set_property(TARGET filter_3dcoform PROPERTY FOLDER Plugins)

set_property(TARGET filter_3dcoform PROPERTY RUNTIME_OUTPUT_DIRECTORY
                                             ${MESHLAB_PLUGIN_OUTPUT_DIR})

set_property(TARGET filter_3dcoform PROPERTY LIBRARY_OUTPUT_DIRECTORY
                                             ${MESHLAB_PLUGIN_OUTPUT_DIR})

install(TARGETS filter_3dcoform DESTINATION ${MESHLAB_PLUGIN_INSTALL_DIR}
                COMPONENT Plugins)

=== src/plugins_experimental/filter_info_vmust/CMakeLists.txt ===
# Copyright 2019 Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

### Generated file! Edit the templates in src/templates then re-run ./make-cmake.py

set(SOURCES filter_info.cpp)

set(HEADERS filter_info.h)

add_library(filter_info_vmust MODULE ${SOURCES} ${HEADERS})

target_include_directories(filter_info_vmust
                           PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(filter_info_vmust PUBLIC common)

set_property(TARGET filter_info_vmust PROPERTY FOLDER Plugins)

set_property(TARGET filter_info_vmust PROPERTY RUNTIME_OUTPUT_DIRECTORY
                                               ${MESHLAB_PLUGIN_OUTPUT_DIR})

set_property(TARGET filter_info_vmust PROPERTY LIBRARY_OUTPUT_DIRECTORY
                                               ${MESHLAB_PLUGIN_OUTPUT_DIR})

install(TARGETS filter_info_vmust DESTINATION ${MESHLAB_PLUGIN_INSTALL_DIR}
                COMPONENT Plugins)

=== src/plugins_experimental/filter_multiscale_align/CMakeLists.txt ===
# Copyright 2019 Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

### Generated file! Edit the templates in src/templates then re-run ./make-cmake.py

set(SOURCES filter_multiscale_align.cpp generic_align.cpp multiscale_align.cpp)

set(HEADERS
    filter_multiscale_align.h
    generic_align.h
    lib/Dynamic/basics.h
    lib/Dynamic/dynamicSolver.h
    lib/Dynamic/needlemanWunsch.h
    lib/Dynamic/scaleEstimation.h
    lib/Patate/Grenaille/Core/algebraicSphere.h
    lib/Patate/Grenaille/Core/basket.h
    lib/Patate/Grenaille/Core/covariancePlaneFit.h
    lib/Patate/Grenaille/Core/curvature.h
    lib/Patate/Grenaille/Core/enums.h
    lib/Patate/Grenaille/Core/gls.h
    lib/Patate/Grenaille/Core/orientedSphereFit.h
    lib/Patate/Grenaille/Core/plane.h
    lib/Patate/Grenaille/Core/primitive.h
    lib/Patate/Grenaille/Core/unorientedSphereFit.h
    lib/Patate/Grenaille/Core/weightFunc.h
    lib/Patate/Grenaille/Core/weightKernel.h
    lib/Patate/Vitelotte/Core/bezierPath.h
    lib/Patate/Vitelotte/Core/elementBuilderBase.h
    lib/Patate/Vitelotte/Core/femSolver.h
    lib/Patate/Vitelotte/Core/femUtils.h
    lib/Patate/Vitelotte/Core/fvElement.h
    lib/Patate/Vitelotte/Core/fvElementBuilder.h
    lib/Patate/Vitelotte/Core/linearElement.h
    lib/Patate/Vitelotte/Core/linearElementBuilder.h
    lib/Patate/Vitelotte/Core/morleyElement.h
    lib/Patate/Vitelotte/Core/morleyElementBuilder.h
    lib/Patate/Vitelotte/Core/quadraticElement.h
    lib/Patate/Vitelotte/Core/quadraticElementBuilder.h
    lib/Patate/Vitelotte/Core/singularElementDecorator.h
    lib/Patate/Vitelotte/Core/solverError.h
    lib/Patate/Vitelotte/Core/vgMesh.h
    lib/Patate/Vitelotte/Utils/dcMesh.h
    lib/Patate/Vitelotte/Utils/mvgReader.h
    lib/Patate/Vitelotte/Utils/mvgWithCurvesReader.h
    lib/Patate/Vitelotte/Utils/mvgWithCurvesWriter.h
    lib/Patate/Vitelotte/Utils/mvgWriter.h
    lib/Patate/Vitelotte/Utils/vgMeshRenderer.h
    lib/Patate/common/defines.h
    lib/Patate/common/gl_utils/color.h
    lib/Patate/common/gl_utils/macros.h
    lib/Patate/common/gl_utils/shader.h
    lib/Patate/common/surface_mesh/objReader.h
    lib/Patate/common/surface_mesh/objWriter.h
    lib/Patate/common/surface_mesh/properties.h
    lib/Patate/common/surface_mesh/surfaceMesh.h
    lib/Patate/grenaille.h
    lib/Patate/vitelotte.h
    lib/Patate/vitelotte_gl.h
    multiscale_align.h
    struct.h
    utils.h)

add_library(filter_multiscale_align MODULE ${SOURCES} ${HEADERS})

target_include_directories(filter_multiscale_align
                           PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(filter_multiscale_align PUBLIC common)

set_property(TARGET filter_multiscale_align PROPERTY FOLDER Plugins)

set_property(TARGET filter_multiscale_align
             PROPERTY RUNTIME_OUTPUT_DIRECTORY ${MESHLAB_PLUGIN_OUTPUT_DIR})

set_property(TARGET filter_multiscale_align
             PROPERTY LIBRARY_OUTPUT_DIRECTORY ${MESHLAB_PLUGIN_OUTPUT_DIR})

install(TARGETS filter_multiscale_align DESTINATION
                ${MESHLAB_PLUGIN_INSTALL_DIR} COMPONENT Plugins)

=== src/plugins_experimental/filter_musical_instruments/CMakeLists.txt ===
# Copyright 2019 Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

### Generated file! Edit the templates in src/templates then re-run ./make-cmake.py

set(SOURCES filter_musical_instruments.cpp)

set(HEADERS filter_musical_instruments.h)

add_library(filter_musical_instruments MODULE ${SOURCES} ${HEADERS})

target_include_directories(filter_musical_instruments
                           PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(filter_musical_instruments PUBLIC common)

set_property(TARGET filter_musical_instruments PROPERTY FOLDER Plugins)

set_property(TARGET filter_musical_instruments
             PROPERTY RUNTIME_OUTPUT_DIRECTORY ${MESHLAB_PLUGIN_OUTPUT_DIR})

set_property(TARGET filter_musical_instruments
             PROPERTY LIBRARY_OUTPUT_DIRECTORY ${MESHLAB_PLUGIN_OUTPUT_DIR})

install(TARGETS filter_musical_instruments DESTINATION
                ${MESHLAB_PLUGIN_INSTALL_DIR} COMPONENT Plugins)

=== src/plugins_experimental/filter_ouput_optical_flow/CMakeLists.txt ===
# Copyright 2019 Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

### Generated file! Edit the templates in src/templates then re-run ./make-cmake.py

set(SOURCES
    DominancyClassifier.cpp
    GPU/FrameBuffer.cpp
    GPU/Shader.cpp
    GPU/Texture.cpp
    filter_output_optical_flow.cpp
    floatbuffer.cpp
    utils.cpp)

set(HEADERS
    DominancyClassifier.h
    GPU/FrameBuffer.h
    GPU/GPU.h
    GPU/InstantiatedObject.h
    GPU/Shader.h
    GPU/Texture.h
    GPU/VBO.h
    GPU/commonDefs.h
    OOCRaster.h
    filter_output_optical_flow.h
    floatbuffer.h
    utils.h)

set(RESOURCES filter_output_optical_flow.qrc)

add_library(filter_ouput_optical_flow MODULE ${SOURCES} ${HEADERS} ${RESOURCES})

target_include_directories(filter_ouput_optical_flow
                           PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(filter_ouput_optical_flow PUBLIC common)

set_property(TARGET filter_ouput_optical_flow PROPERTY FOLDER Plugins)

set_property(TARGET filter_ouput_optical_flow
             PROPERTY RUNTIME_OUTPUT_DIRECTORY ${MESHLAB_PLUGIN_OUTPUT_DIR})

set_property(TARGET filter_ouput_optical_flow
             PROPERTY LIBRARY_OUTPUT_DIRECTORY ${MESHLAB_PLUGIN_OUTPUT_DIR})

install(TARGETS filter_ouput_optical_flow DESTINATION
                ${MESHLAB_PLUGIN_INSTALL_DIR} COMPONENT Plugins)

## meshlab 1.3.0a+dfsg1

=== debian/changelog ===
meshlab (1.3.0a+dfsg1-3ubuntu2) quantal; urgency=low

  * No-change rebuild for libglew1.7 -> libglew1.8 transition.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 08 Sep 2012 19:53:58 +0400

meshlab (1.3.0a+dfsg1-3ubuntu1) quantal; urgency=low

  * Add -lGLU to 18_RESOLUTION.patch to fix FTBFS.

 -- Ilya Barygin <randomaction@ubuntu.com>  Wed, 20 Jun 2012 23:32:35 +0400

meshlab (1.3.0a+dfsg1-3) unstable; urgency=low

  * rules:
    - Add get-orig-source target.
    - Add build-arch and build-indep targets as recommended by lintian.
    - Use dpkg-buildflags to give flags to qmake.
  * copyright:
    - Use the latest machine readable copyright format.
    - Point to versioned GPLv2 in common-licenses (fixes a lintian warning).
    - Remove copyright info for removed gdb macros.
  * control: Upgrade to standards-version 3.9.3.
  * Upgrade to debhelper version 9.
  * New patches:
    - 14_structuresynth: Include glu.h where needed in included
      structure-synth code.
    - 15_gcc47: Fix FTBFS with GCC-4.7 (closes: #667276).
      Thanks to Matej Vela for the patch.

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 14 Jun 2012 15:59:55 +0200

meshlab (1.3.0a+dfsg1-2) unstable; urgency=low

  * rules: Use linux-g++ as qmake spec (fixes FTBFS with qt4 > 4.7).
  * New patches:
    - 12_ply_numeric: Set LC_NUMERIC to "C" in main().
      Thanks to Luka Frelih for the patch. Closes: #623361.
    - 13_cstddef: Include <cstddef> on files using offsetoff
      (closes: #625053).

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 12 May 2011 12:17:16 +0200

meshlab (1.3.0a+dfsg1-1) unstable; urgency=low

  * New upstream version (closes: #618522)
  * Repackage the upstream sources to get rid of some files with questionable
    licensing information and useless libraries, see the copyright file for
    details.
  * Builds with GCC-4.5 (closes: #565034)
  * Fix watch-file to work with new upstream names and dfsg source
    (closes: #582477)
  * Require debhelper version 8 or above.
  * control:
    - Update standards-version to 3.9.1, cleanup.
    - Remove build-dep to libgl-dev to fix a lintian warning about a
      build-dep to a virtual package.
    - Remove build-dep to asciidoc, add build-dep to libeigen2-dev.
  * rules:
    - Remove manpage-related code.
    - Build the necessary code from meshlab/src/external. Also clean it.
    - Override dh_shlibdeps to include /usr/lib/meshlab in search path.
    - Don't install shader licenses.
  * install: Install binaries from meshlab/src/distrib.
  * copyright: Update to the latest DEP5 format, document changes due to
    source repackaging and add the copyright info for the files added in
    this upstream release.
  * Hardcode shadersDir and pluginDir in upstream source to locations
    in the Debian binary package.
  * Use source format '3.0 (quilt)'.
  * Split changes affecting upstream code to branches in the git repository
    at git.d.o. Add DEP3 patch metadata headers to debian/metapatches and
    generate patches from git branches with gdp (http://gitorious.org/gdp).
    Current patches:
    - 01_muparser: Use Debian muparser.
    - 02_qhull: Use Debian qhull.
    - 03_lib3ds: Use Debian lib3ds.
    - 04_libbz2: Use Debian libbz2.
    - 05_glew: Use Debian GLEW.
    - 06_eigen: Use Debian Eigen.
    - 07_disable-updates: Disable checking for updates on startup.
    - 08_externals: Only build necessary external sources.
    - 09_rpath: Use /usr/lib/meshlab as RPATH in binaries.
    - 10_shadersdir: Hardcode shadersDir to the correct path in Debian
    - 11_pluginsdir: Hardcode pluginsDir to the correct path in Debian
  * Add a README.source file documenting the patch generation.

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 28 Mar 2011 17:54:11 +0200

meshlab (1.2.2-3) UNRELEASED; urgency=low

  * control: Add Build-dep to libgl-dev
  * Disable checking for updates on startup (LP: #652145)
  * io_u3d.cpp: Use correct IDTFConverter path under Linux.
  * export_u3d.h: Add hyperref package to LaTeX output,
    makes pdflatex compilation work correctly in Debian.

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 03 Mar 2011 11:28:01 +0100

meshlab (1.2.2-2) unstable; urgency=low

  * Add a watch file
  * Call a2x with -L switch to avoid use of xmllint (closes: #556824)

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 18 Nov 2009 18:36:11 +0100

meshlab (1.2.2-1) unstable; urgency=low

  * New upstream version
  * Do not build filter_isoparametrization because liblevmar dependency
    is not (yet) in Debian
  * Fix compilation with gcc-4.4, thanks to Jonathan Liu for the patch
    (closes: #539544)
  * rules: Add compiler variables to the qmake call (for testing with new
    GCC versions)
  * io_3ds.pro: Make LIBS and INCLUDEPATH point to Debian version of lib3ds
  * io_epoch.pro: Make LIBS point to Debian version of libbz2
  * control:
    - Move Homepage URL to the source package section
    - Update to standards-version 3.8.3

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 08 Oct 2009 16:40:41 +0200

meshlab (1.2.1-1) unstable; urgency=low

  * New Upstream Version
  * Patch upstream source to build with Debian versions of GLEW,
    qhull, lib3ds, libbz2, muparser
  * rules:
    - Add build-deps to libqhull-dev, libmuparser-dev
    - Build asciidoc manpages from meshlab/docs with a2x
  * install: Do not install textures
  * copyright: Update

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 27 May 2009 18:07:15 +0200

meshlab (1.2.0-1) UNRELEASED; urgency=low

  * New upstream version
  * Add a debian/manpages file
  * Add xpm icons
  * Add a .desktop file
  * Fix plugin and shader paths to Debian standards
  * control:
    - Build-dep and compat to debhelper v7
    - Upgrade to standards-version 3.8.1
  * install:
    - Install rendermonkey shaders
    - Install plugins to /usr/lib/meshlab/plugins
    - Install .desktop file and icons
  * rules: clean up and simplify with dh

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 30 Apr 2009 16:08:53 +0200



=== debian/control ===
Source: meshlab
Section: graphics
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Teemu Ikonen <tpikonen@gmail.com>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/meshlab.git
Vcs-Git: http://git.debian.org/git/debian-science/packages/meshlab.git
Build-Depends: debhelper (>= 9), lib3ds-dev (>=1.3.0), libglew-dev,
 libqt4-dev, libqt4-opengl-dev, libbz2-dev, xsltproc, docbook-xsl,
 libqhull-dev, libmuparser-dev, libeigen2-dev
Homepage: http://meshlab.sourceforge.net/
Standards-Version: 3.9.3

Package: meshlab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: System for processing and editing triangular meshes
 MeshLab is an open source, portable, and extendible system for the
 processing and editing of unstructured 3D triangular meshes.
 The system is aimed to help the processing of the typical not-so-small
 unstructured models arising in 3D scanning, providing a set of tools for
 editing, cleaning, healing, inspecting, rendering and converting this kind
 of meshes.
 .
 Meshlab can read files in these formats: PLY, STL, OFF, OBJ, 3DS, COLLADA
 and PTX. It can write PLY, STL, OFF, OBJ, 3DS, COLLADA, VRML, and DXF.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

QMAKE_DPKG_BUILDFLAGS=\
 QMAKE_CFLAGS_RELEASE="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
 QMAKE_CFLAGS_DEBUG="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
 QMAKE_CXXFLAGS_RELEASE="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
 QMAKE_CXXFLAGS_DEBUG="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
 QMAKE_LFLAGS_RELEASE="$(shell dpkg-buildflags --get LDFLAGS)" QMAKE_LFLAGS_DEBUG="$(shell dpkg-buildflags --get LDFLAGS)"

DEBVERSION := 1.3.1.dfsg1
TARBALL = MeshLabSrc_AllInc_v131.tgz
TDIR = meshlab-$(DEBVERSION)
get-orig-source:
	mkdir $(TDIR)
	wget http://qa.debian.org/watch/sf.php/meshlab/$(TARBALL)
	tar -C $(TDIR) -zxf $(TARBALL)
	rm -rf $(TDIR)/meshlab/src/distrib/render_template
	# Remove external libraries which are in Debian or not used
	rm -rf $(TDIR)/meshlab/src/external/ann_1.1.1
	rm -rf $(TDIR)/meshlab/src/external/bzip2-1.0.5
	rm -rf $(TDIR)/meshlab/src/external/glew-1.5.1
	rm -rf $(TDIR)/meshlab/src/external/inc
	rm -rf $(TDIR)/meshlab/src/external/lib3ds-1.3.0
	rm -rf $(TDIR)/meshlab/src/external/muparser_v130
	rm -rf $(TDIR)/meshlab/src/external/muparser_v132
	rm -rf $(TDIR)/meshlab/src/external/ode-0.11.1
	rm -rf $(TDIR)/meshlab/src/external/openkinect
	rm -rf $(TDIR)/meshlab/src/external/qhull-2003.1
	rm -rf $(TDIR)/meshlab/src/external/tsai-30b3
	# Remove unused plugins
	rm -rf $(TDIR)/meshlab/src/meshlabplugins/edit_ocme
	# Remove experimental and unsupported plugins, please
	# file bugs if you need one of these
	rm -rf $(TDIR)/meshlab/src/plugins_experimental
	rm -rf $(TDIR)/meshlab/src/plugins_unsupported
	# Eigen is already in Debian.
	rm -rf $(TDIR)/vcglib/vcg/Eigen
	#
	tar -zcf meshlab-$(DEBVERSION).orig.tar.gz $(TDIR)

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd meshlab/src/external ; qmake -spec linux-g++ -recursive external.pro $(QMAKE_DPKG_BUILDFLAGS)
	cd meshlab/src ; qmake -spec linux-g++ -recursive meshlab_full.pro $(QMAKE_DPKG_BUILDFLAGS)
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) -C meshlab/src/external
	$(MAKE) -C meshlab/src
	touch $@

clean:
	dh clean
	rm -f build-stamp configure-stamp
	-rm -f meshlab/docs/meshlab.1.xml meshlab/docs/meshlabserver.1.xml
	if [ -e meshlab/src/Makefile ] ; then $(MAKE) -C meshlab/src distclean ; fi
	if [ -e meshlab/src/external/Makefile ] ; then $(MAKE) -C meshlab/src/external distclean ; fi
	-rm -rf meshlab/src/external/lib/linux-g++
	-rm meshlab/src/external/levmar-2.3/Makefile.levmar-2
	-rm meshlab/src/external/structuresynth/Makefile.structuresynth
	-rm meshlab/src/meshlab/plugins/*.so
	-find ./ -name "Makefile" | xargs rm -f
	-find ./ -name "Makefile.Debug" | xargs rm -f
	-find ./ -name "Makefile.Release" | xargs rm -f
	-mv 3Dlabs-license.txt meshlab/src/distrib/shaders
	-mv LightworkDesign-license.txt meshlab/src/distrib/shaders

override_dh_shlibdeps:
	dh_shlibdeps -lusr/lib/meshlab

install: build
	dh_testdir
	-mv meshlab/src/distrib/shaders/3Dlabs-license.txt .
	-mv meshlab/src/distrib/shaders/LightworkDesign-license.txt .
	dh install

# Build architecture-independent files here.
binary-indep: build install
	dh binary-indep

# Build architecture-dependent files here.
binary-arch: build install
	dh binary-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

=== debian/watch ===
version=3
opts="uversionmangle=s/^(.)(.)([^\.]*)/\\1.\\2.\\3/,dversionmangle=s/\.dfsg\d+$//" \
    http://sf.net/meshlab/MeshLabSrc_AllInc_v(\d\d\d.*)\.t[ar\.]*gz

## meshlab 1.3.2%2Bdfsg1

=== debian/watch ===
version=3
opts="uversionmangle=s/^(.)(.)([^\.]*)/\\1.\\2.\\3/,dversionmangle=s/[+.]dfsg\d+//" \
    http://sf.net/meshlab/MeshLabSrc_AllInc_v(\d\d\d.*)\.t[ar\.]*gz

## meshlab 1.3.2+dfsg1

=== debian/changelog ===
meshlab (1.3.2+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with GCC 7 (Closes: #853545)
  * Update upstream homepage and debian/watch
  * Switch to debhelper 10
  * Bump Standards-Version to 4.0.1, no further changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 08 Aug 2017 14:56:50 +0200

meshlab (1.3.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 6, thanks Gert Wollny. (Closes: #811634)
  * Fix narrowing conversion on architectures where
    char is unsigned by default.
  * Set Maintainer field to Debian Science Maintainers.
  * Use secure URIs for VCS fields.
  * Remove debian/menu, see #741573.
  * Bump Standards-Version to 3.9.8, no further changes.
  * Use eye64.png as the icon instead of meshlab_32x32.xpm.

 -- Graham Inggs <ginggs@debian.org>  Mon, 21 Nov 2016 16:02:07 +0200

meshlab (1.3.2+dfsg1-2) unstable; urgency=low

  * Install plugin XML files under src/distrib/plugins.
  * Update Standards-Version to 3.9.5.

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 07 Nov 2013 16:32:03 +0100

meshlab (1.3.2+dfsg1-1) unstable; urgency=low

  * New upstream version (closes: #693649)
  * Repackaged dfsg-sources remove copies of glew-1.7.0, OpenCTM-1.0.3,
    Eigen3, etc. See debian/copyright for details.
  * Add libGLU to LIBS in meshlab.pro. Fixes an FTBFS in Ubuntu.
    Thanks to Ilya Barygin for the fix. Closes: #678312.
  * New patches:
    - overflow: Fix overflowing array index in VCGlib,
      also fixes E-array-bounds error in Debian build log scanner
    - openctm: Use Debian OpenCTM
    - format-security: Fix compilation errors with -Werror=format-security
    - crash-on-save: Fix crash on project save. Patch from upstream
      SVN commit [r6114] (closes: #718583).
  * Add a lintian-override file. Override hardening-no-fortify-functions
    in meshlab plugins.
  * Add shared-mime-info data for media types supported by meshlab.
    Also, add the supported types meshlab.mime mailcap file and
    meshlab.desktop file, to enable file manager open file support.
    (closes LP: #1077620)
  * watch: Fix dversionmangle regex
  * copyright: Update
  * control:
    - Upgrade to standards-version 3.9.4
    - Build-dep on libopenctm-dev, libeigen3-dev
    - Add Recommends to chemical-mime-data to get more supported media types
  * rules:
    - Clean clean target.
    - get CXXFLAGS from dpkg-buildflags for QMAKE_CXXFLAGS.
    - Remove jhead makefile in clean target.

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 08 Oct 2013 00:34:58 +0200

=== debian/control ===
Source: meshlab
Section: graphics
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/meshlab.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/meshlab.git
Build-Depends: debhelper (>= 10),
               docbook-xsl,
               lib3ds-dev (>=1.3.0),
               libbz2-dev,
               libeigen3-dev,
               libglew-dev,
               libmuparser-dev,
               libopenctm-dev,
               libqhull-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               xsltproc
Homepage: http://www.meshlab.net
Standards-Version: 4.0.1

Package: meshlab
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: chemical-mime-data
Description: System for processing and editing triangular meshes
 MeshLab is an open source, portable, and extendible system for the
 processing and editing of unstructured 3D triangular meshes.
 The system is aimed to help the processing of the typical not-so-small
 unstructured models arising in 3D scanning, providing a set of tools for
 editing, cleaning, healing, inspecting, rendering and converting this kind
 of meshes.
 .
 Meshlab can read files in these formats: PLY, STL, OFF, OBJ, 3DS, COLLADA
 and PTX. It can write PLY, STL, OFF, OBJ, 3DS, COLLADA, VRML, and DXF.

=== debian/rules ===
--- 
+++ 
@@ -4,27 +4,31 @@
 QMAKE_DPKG_BUILDFLAGS=\
  QMAKE_CFLAGS_RELEASE="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
  QMAKE_CFLAGS_DEBUG="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
- QMAKE_CXXFLAGS_RELEASE="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
- QMAKE_CXXFLAGS_DEBUG="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
- QMAKE_LFLAGS_RELEASE="$(shell dpkg-buildflags --get LDFLAGS)" QMAKE_LFLAGS_DEBUG="$(shell dpkg-buildflags --get LDFLAGS)"
+ QMAKE_CXXFLAGS_RELEASE="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
+ QMAKE_CXXFLAGS_DEBUG="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
+ QMAKE_LFLAGS_RELEASE="$(shell dpkg-buildflags --get LDFLAGS)" \
+ QMAKE_LFLAGS_DEBUG="$(shell dpkg-buildflags --get LDFLAGS)"
 
-DEBVERSION := 1.3.1.dfsg1
-TARBALL = MeshLabSrc_AllInc_v131.tgz
+DEBVERSION := 1.3.2+dfsg1
+TARBALL = MeshLabSrc_AllInc_v132.tgz
 TDIR = meshlab-$(DEBVERSION)
 get-orig-source:
 	mkdir $(TDIR)
 	wget http://qa.debian.org/watch/sf.php/meshlab/$(TARBALL)
 	tar -C $(TDIR) -zxf $(TARBALL)
 	rm -rf $(TDIR)/meshlab/src/distrib/render_template
+	rm -rf $(TDIR)/meshlab/src/distrib/sample
 	# Remove external libraries which are in Debian or not used
 	rm -rf $(TDIR)/meshlab/src/external/ann_1.1.1
 	rm -rf $(TDIR)/meshlab/src/external/bzip2-1.0.5
 	rm -rf $(TDIR)/meshlab/src/external/glew-1.5.1
+	rm -rf $(TDIR)/meshlab/src/external/glew-1.7.0
 	rm -rf $(TDIR)/meshlab/src/external/inc
 	rm -rf $(TDIR)/meshlab/src/external/lib3ds-1.3.0
 	rm -rf $(TDIR)/meshlab/src/external/muparser_v130
 	rm -rf $(TDIR)/meshlab/src/external/muparser_v132
 	rm -rf $(TDIR)/meshlab/src/external/ode-0.11.1
+	rm -rf $(TDIR)/meshlab/src/external/OpenCTM-1.0.3
 	rm -rf $(TDIR)/meshlab/src/external/openkinect
 	rm -rf $(TDIR)/meshlab/src/external/qhull-2003.1
 	rm -rf $(TDIR)/meshlab/src/external/tsai-30b3
@@ -36,8 +40,10 @@
 	rm -rf $(TDIR)/meshlab/src/plugins_unsupported
 	# Eigen is already in Debian.
 	rm -rf $(TDIR)/vcglib/vcg/Eigen
+	rm -rf $(TDIR)/vcglib/eigenlib
+	rm -rf $(TDIR)/vcglib/wrap/system/time
 	#
-	tar -zcf meshlab-$(DEBVERSION).orig.tar.gz $(TDIR)
+	tar -zcf meshlab_$(DEBVERSION).orig.tar.gz $(TDIR)
 
 configure: configure-stamp
 configure-stamp:
@@ -64,12 +70,13 @@
 	-rm -rf meshlab/src/external/lib/linux-g++
 	-rm meshlab/src/external/levmar-2.3/Makefile.levmar-2
 	-rm meshlab/src/external/structuresynth/Makefile.structuresynth
-	-rm meshlab/src/meshlab/plugins/*.so
+	-rm meshlab/src/external/jhead-2.95/Makefile.jhead-2
 	-find ./ -name "Makefile" | xargs rm -f
 	-find ./ -name "Makefile.Debug" | xargs rm -f
 	-find ./ -name "Makefile.Release" | xargs rm -f
 	-mv 3Dlabs-license.txt meshlab/src/distrib/shaders
 	-mv LightworkDesign-license.txt meshlab/src/distrib/shaders
+	-rm debian/meshlab.png
 
 override_dh_shlibdeps:
 	dh_shlibdeps -lusr/lib/meshlab
@@ -78,6 +85,7 @@
 	dh_testdir
 	-mv meshlab/src/distrib/shaders/3Dlabs-license.txt .
 	-mv meshlab/src/distrib/shaders/LightworkDesign-license.txt .
+	cp meshlab/src/meshlab/images/eye64.png debian/meshlab.png
 	dh install
 
 # Build architecture-independent files here.

=== debian/watch ===
version=3
opts=dversionmangle=s/[+.]dfsg\d+// \
    https://github.com/cnr-isti-vclab/meshlab/tags .*/v?(\d{4}\.\d{2})\.tar\.gz

## meshlab 2020.02+git200217

=== debian/changelog ===
meshlab (2020.02+git200217-1) unstable; urgency=medium

  * Team upload.
  * Add myself to Uploaders.
  * New upstream version. (Closes: #910660, #946685, #875041)
  * debian/patches: lost+notfound.
  * Update Vcs fields.
  * Bump standards version to 4.5.0.
  * Bump debhelper version to 12.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 14:52:55 +0100

=== debian/control ===
Source: meshlab
Section: graphics
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>, Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 12), cmake, docbook-xsl, lib3ds-dev (>=1.3.0),
 libbz2-dev, libeigen3-dev, libglew-dev, libmuparser-dev, libopenctm-dev, libqhull-dev,
 xsltproc, qt5-default, qtscript5-dev, libqt5xmlpatterns5-dev, mesa-common-dev, libglu1-mesa-dev,
 lib3ds-dev, libglew-dev, libgmp-dev, libqt5opengl5-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/science-team/meshlab.git
Vcs-Browser: https://salsa.debian.org/science-team/meshlab
Homepage: http://www.meshlab.net/

Package: meshlab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: chemical-mime-data
Description: System for processing and editing triangular meshes
 This is an open source, portable, and extendible system for the
 processing and editing of unstructured 3D triangular meshes.
 The system is aimed to help the processing of the typical not-so-small
 unstructured models arising in 3D scanning, providing a set of tools for
 editing, cleaning, healing, inspecting, rendering and converting this kind
 of meshes.
 .
 Meshlab can read files in these formats: PLY, STL, OFF, OBJ, 3DS, COLLADA
 and PTX. It can write PLY, STL, OFF, OBJ, 3DS, COLLADA, VRML, and DXF.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_OPTIONS=hardening=-all,+pie

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	@echo SKIP INSTALL TARGET
